## org.codehaus.groovy.grails.web.mapping
Interface UrlMappingInfo

All Known Implementing Classes:
  DefaultUrlMappingInfo

    public interface UrlMappingInfo

The UrlMappingInfo interface defines that data that was produced when matching a URI with a UrlMapping instance.

Since:
  0.5

  Created: Feb 28, 2007 Time: 5:56:38 PM
Author:
  Graeme Rocher
See Also:
  `UrlMapping`

Method Summary
`void` `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
`String` `getActionName()` The name of the action that the URL mappping maps to
`String` `getControllerName()` The name of the controller that the URL mapping maps to
`String` `getId()` The id part of the URL mapping if any
`Map` `getParameters()` The parameters that were extracted from the URI that was matched
`String` `getViewName()` The name of the view that the URL mappping maps to

Method Detail

### getControllerName

    String getControllerName()

  The name of the controller that the URL mapping maps to

  Returns:
    The name of the controller

### getActionName

    String getActionName()

  The name of the action that the URL mappping maps to

  Returns:
    The name of the action or null if not known

### getViewName

    String getViewName()

  The name of the view that the URL mappping maps to

  Returns:
    The name of the view or null if not known

### getId

    String getId()

  The id part of the URL mapping if any

  Returns:
    The id or null

### getParameters

    Map getParameters()

  The parameters that were extracted from the URI that was matched

  Returns:
    A Map of parameters

### configure

    void configure(GrailsWebRequest webRequest)

  Configure this UrlMappingInfo the for the given GrailsWebRequest

  Parameters:
    `webRequest` - The GrailsWebRequest instance

Copyright (c) 2005-2006 The Grails project